## IAnjutaPreferences IAnjutaPreferences — Preferences interface |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_preferences_error_quark ()
void | ianjuta_preferences_merge ()
void | ianjuta_preferences_unmerge ()

## Types and Values

#define | IANJUTA_PREFERENCES_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaPreferences

## Includes

    #include <libanjuta/interfaces/ianjuta-preferences>

## Description

## Functions

### ianjuta_preferences_error_quark ()

    GQuark
    ianjuta_preferences_error_quark (void);

#### Returns

### ianjuta_preferences_merge ()

    void
    ianjuta_preferences_merge (IAnjutaPreferences *obj,
                               AnjutaPreferences *prefs,
                               GError **err);

When called, the plugin should install it's preferences

#### Parameters

obj | Self |
prefs | AnjutaPreferences to install to |
err | Error propagation and reporting. |

### ianjuta_preferences_unmerge ()

    void
    ianjuta_preferences_unmerge (IAnjutaPreferences *obj,
                                 AnjutaPreferences *prefs,
                                 GError **err);

When called, the plugin should uninstall it's preferences

#### Parameters

obj | Self |
prefs | AnjutaPreferences to install to |
err | Error propagation and reporting. |

## Types and Values

### IANJUTA_PREFERENCES_ERROR

    #define IANJUTA_PREFERENCES_ERROR ianjuta_preferences_error_quark()